<?php  
      //export.php  
 if(isset($_POST["export"]))  
 {  
      $connect = mysqli_connect("localhost", "ntisoluc_nti", "Fcf27782778@", "ntisoluc_nti");  
      header('Content-Type: text/csv; charset=utf-8');  
      header('Content-Disposition: attachment; filename=data.csv');  
      $output = fopen("php://output", "w");  
      // --- descrição das linhas --- fputcsv($output, array('ID', 'data', 'hora', 'clientehospital', 'clientefaturamento', 'medico', 'grupo', 'tipo', 'vendedor', 'observacao', 'paciente', 'nascimento', 'plano', 'nrplano', 'pessoa'));  
      $query = "SELECT agendamentos.id, agendamentos.data, agendamentos.hora, (hospitais.codigo) as clientehospital, (clientes.Codigo) as clientefaturamento, (medicos.Codigo) as medico, (grupo.Codigo) as grupo, (tipo.Codigo) as tipo, (vendedor.Codigo) as vendedor, agendamentos.observacao, agendamentos.paciente, agendamentos.nascimento, (planos.Codigo) as plano, agendamentos.nrplano, agendamentos.pessoa, agendamentos.h_cadastro

            FROM planos INNER JOIN (vendedor INNER JOIN (tipo INNER JOIN (grupo INNER JOIN (hospitais INNER JOIN ((agendamentos INNER JOIN clientes ON agendamentos.clientefaturamento = clientes.Nome) INNER JOIN medicos ON agendamentos.medico = medicos.Nome) ON hospitais.nome = agendamentos.clientehospital) ON grupo.Nome = agendamentos.grupo) ON tipo.Nome = agendamentos.tipo) ON vendedor.Nome = agendamentos.vendedor) ON planos.Nome = agendamentos.plano WHERE agendamentos.controle = 0";  
      //$query = "SELECT * from agendamentos ORDER BY id DESC";  
      $query1 = "UPDATE agendamentos SET controle=1 WHERE controle = 0";

      $result = mysqli_query($connect, $query);  
      $result1 = mysqli_query($connect, $query1);
      while($row = mysqli_fetch_assoc($result))  
      {  
           fputcsv($output, $row,';');  
      }  
      $statement = $connect->prepare($query1);
      $statement->execute();

       

      fclose($output); 

 }  
 ?>  



